I'll tell you about any quests I hear of, but I don't know everything. You should talk with all the villagers you can.
Have you met Praetorian Rukain, who guards the north gate of the village? He often asks novice Fighters to prove their valor as Orcs. If you're feeling brave, give it a try.
And you can go to the House of the King, the big building in the center of the village. The room on the left as you enter is the Shaman's Guild Seer Livina there has a problem with goblin thieves, I heard. Why don't you see if she could use your help?
Return